<html>
<head>
<title>OGRE: Ogre::Vector4 Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Vector4.html">Vector4</a></div>
<h1>Ogre::Vector4 Class Reference</h1><!-- doxytag: class="Ogre::Vector4" -->4-dimensional homogenous vector.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Vector4-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#e4417c4a3d52ee6fafd4a9103343958c">Vector4</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#75b3e58bb0eccad1c21b68958a33a9fc">Vector4</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fX, const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fY, const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fZ, const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fW)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#2e8dae854a7801e2aaa97bbed0b27374">Vector4</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afCoordinate[4])</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#7da09ff768d847f015f3b1b9830a8043">Vector4</a> (const int afCoordinate[4])</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#9d6cc1b910cf8d738b306995f3b442d4">Vector4</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *const r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#da9aac749e3d93a83a0e1bb67f3a091f">Vector4</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scaler)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#019e80f62dd12ea37b27b2d2a05aed64">Vector4</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#4666b1e5c544038aaaf852ab2f200718">Vector4</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a55187a08d385c6c367cc16338ad23ce">operator[]</a> (const size_t i) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#96b4c5c76a199850c8c4e61be0feed7d">operator[]</a> (const size_t i)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#e8a0fc61bcae1449c843b3c5430cef1f">ptr</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#e8a0fc61bcae1449c843b3c5430cef1f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#641d847ad0e066e213db1e1dadf43cee">ptr</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#641d847ad0e066e213db1e1dadf43cee"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#465dfb677017e546628f87470d6dbcd6">operator=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assigns the value of the other vector.  <a href="#465dfb677017e546628f87470d6dbcd6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#69daa0f94cfeb2c725521b1672204bf7">operator=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#e7f48d8e2036594f4d65e2dca9fe286a">operator==</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#0aa33b3bb9f3b8b8ef7037eaf43bedc8">operator!=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#59f17a6c7980f16a571f535b2c47a8fc">operator=</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#0b8c03743d6b8f72149f914f03998689">operator+</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#78b1555cd0ea1bcd609086003444e614">operator-</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#bc543c3d85c79acd14dcc530584d1d65">operator *</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#df1eb823c5225d8f24ced8a8bad10a84">operator *</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#fd54901fd7d3379584d0abd73a455518">operator/</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#50d14c785b00d8afbd124ffd0e9f0df5">operator/</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#785f4ea68705fdcca1dca8f09d4e1525">operator+</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#2123966b60d70dd14e7d165cbb47dba8">operator-</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#da0bb188b87a7187e49e9acfa4994a7f">operator+=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#cc233206a14cef454dd0d9428848ebfc">operator-=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#df84c66492823f9c7a609133cf7ebfb1">operator *=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#37efa8bb4db9148fb43c8238b21c1906">operator+=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#8a23c96373a8d8163ea5b7819f2b22f3">operator-=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ed2924604df2a820a6208a85522c0eed">operator *=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#0c4b23241a97373da79afc6c993e1370">operator/=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#4c4def28bfaf96a3326747d2ef2ed08f">operator/=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#14ced50f2a18dd194c3d95d7d031c5dd">dotProduct</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;vec) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculates the dot (scalar) product of this vector with another.  <a href="#14ced50f2a18dd194c3d95d7d031c5dd"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#c1f14b711795b4d13140e992d9a3e6cf">x</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#4a55a790632b60df0f536efa68de3bfa">y</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#389cf99ed365e8ec1d823c0a0cf52da3">z</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#601896b4f2f5be1d7ccd0ee4a0500237">w</a></td></tr>

<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#6094638aa9e67551258f70f113d805d9">ZERO</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#691bcd13bad0bf3709ddb010cf57d822">operator *</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#2dd10da814b39dc369ac4f96d0055a54">operator/</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#28efcff06858b5011bbc4250230539f0">operator+</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;lhs, const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#4ec63fee2f096c1e845076797d1e140a">operator+</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lhs, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#3b9ce3e33b491148161ac0e4116e709a">operator-</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;lhs, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#e2c5e61fcb0521bdea9c8d70069742f9">operator-</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lhs, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#7f9291e487a6dd6abdc8cc6325751cc3">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;v)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function for writing to a stream.  <a href="#7f9291e487a6dd6abdc8cc6325751cc3"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
4-dimensional homogenous vector. 
<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00040">40</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e4417c4a3d52ee6fafd4a9103343958c"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="e4417c4a3d52ee6fafd4a9103343958c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector4::Vector4           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00046">46</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="75b3e58bb0eccad1c21b68958a33a9fc"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="75b3e58bb0eccad1c21b68958a33a9fc" args="(const Real fX, const Real fY, const Real fZ, const Real fW)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector4::Vector4           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fZ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fW</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00050">50</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2e8dae854a7801e2aaa97bbed0b27374"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="2e8dae854a7801e2aaa97bbed0b27374" args="(const Real afCoordinate[4])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector4::Vector4           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>afCoordinate</em>[4]          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00055">55</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7da09ff768d847f015f3b1b9830a8043"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="7da09ff768d847f015f3b1b9830a8043" args="(const int afCoordinate[4])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector4::Vector4           </td>
          <td>(</td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>afCoordinate</em>[4]          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00063">63</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9d6cc1b910cf8d738b306995f3b442d4"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="9d6cc1b910cf8d738b306995f3b442d4" args="(Real *const r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector4::Vector4           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *const &nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00071">71</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="da9aac749e3d93a83a0e1bb67f3a091f"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="da9aac749e3d93a83a0e1bb67f3a091f" args="(const Real scaler)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector4::Vector4           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>scaler</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00076">76</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="019e80f62dd12ea37b27b2d2a05aed64"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="019e80f62dd12ea37b27b2d2a05aed64" args="(const Vector3 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector4::Vector4           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00084">84</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4666b1e5c544038aaaf852ab2f200718"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="4666b1e5c544038aaaf852ab2f200718" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector4::Vector4           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00089">89</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="a55187a08d385c6c367cc16338ad23ce"></a><!-- doxytag: member="Ogre::Vector4::operator[]" ref="a55187a08d385c6c367cc16338ad23ce" args="(const size_t i) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector4::operator[]           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00094">94</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="96b4c5c76a199850c8c4e61be0feed7d"></a><!-- doxytag: member="Ogre::Vector4::operator[]" ref="96b4c5c76a199850c8c4e61be0feed7d" args="(const size_t i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&amp; Ogre::Vector4::operator[]           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00101">101</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e8a0fc61bcae1449c843b3c5430cef1f"></a><!-- doxytag: member="Ogre::Vector4::ptr" ref="e8a0fc61bcae1449c843b3c5430cef1f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* Ogre::Vector4::ptr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer accessor for direct copying. 
<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00109">109</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAnimable_8h-source.html#l00101">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div><p>
<a class="anchor" name="641d847ad0e066e213db1e1dadf43cee"></a><!-- doxytag: member="Ogre::Vector4::ptr" ref="641d847ad0e066e213db1e1dadf43cee" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* Ogre::Vector4::ptr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer accessor for direct copying. 
<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00114">114</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="465dfb677017e546628f87470d6dbcd6"></a><!-- doxytag: member="Ogre::Vector4::operator=" ref="465dfb677017e546628f87470d6dbcd6" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Assigns the value of the other vector. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rkVector</em>&nbsp;</td><td>The other vector </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00123">123</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="69daa0f94cfeb2c725521b1672204bf7"></a><!-- doxytag: member="Ogre::Vector4::operator=" ref="69daa0f94cfeb2c725521b1672204bf7" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00133">133</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e7f48d8e2036594f4d65e2dca9fe286a"></a><!-- doxytag: member="Ogre::Vector4::operator==" ref="e7f48d8e2036594f4d65e2dca9fe286a" args="(const Vector4 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector4::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00142">142</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="0aa33b3bb9f3b8b8ef7037eaf43bedc8"></a><!-- doxytag: member="Ogre::Vector4::operator!=" ref="0aa33b3bb9f3b8b8ef7037eaf43bedc8" args="(const Vector4 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector4::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00150">150</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="59f17a6c7980f16a571f535b2c47a8fc"></a><!-- doxytag: member="Ogre::Vector4::operator=" ref="59f17a6c7980f16a571f535b2c47a8fc" args="(const Vector3 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00158">158</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="0b8c03743d6b8f72149f914f03998689"></a><!-- doxytag: member="Ogre::Vector4::operator+" ref="0b8c03743d6b8f72149f914f03998689" args="(const Vector4 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00168">168</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="78b1555cd0ea1bcd609086003444e614"></a><!-- doxytag: member="Ogre::Vector4::operator-" ref="78b1555cd0ea1bcd609086003444e614" args="(const Vector4 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00177">177</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="bc543c3d85c79acd14dcc530584d1d65"></a><!-- doxytag: member="Ogre::Vector4::operator *" ref="bc543c3d85c79acd14dcc530584d1d65" args="(const Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00186">186</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="df1eb823c5225d8f24ced8a8bad10a84"></a><!-- doxytag: member="Ogre::Vector4::operator *" ref="df1eb823c5225d8f24ced8a8bad10a84" args="(const Vector4 &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00195">195</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="fd54901fd7d3379584d0abd73a455518"></a><!-- doxytag: member="Ogre::Vector4::operator/" ref="fd54901fd7d3379584d0abd73a455518" args="(const Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator/           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00204">204</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="50d14c785b00d8afbd124ffd0e9f0df5"></a><!-- doxytag: member="Ogre::Vector4::operator/" ref="50d14c785b00d8afbd124ffd0e9f0df5" args="(const Vector4 &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator/           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00217">217</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="785f4ea68705fdcca1dca8f09d4e1525"></a><!-- doxytag: member="Ogre::Vector4::operator+" ref="785f4ea68705fdcca1dca8f09d4e1525" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator+           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00226">226</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2123966b60d70dd14e7d165cbb47dba8"></a><!-- doxytag: member="Ogre::Vector4::operator-" ref="2123966b60d70dd14e7d165cbb47dba8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator-           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00231">231</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="da0bb188b87a7187e49e9acfa4994a7f"></a><!-- doxytag: member="Ogre::Vector4::operator+=" ref="da0bb188b87a7187e49e9acfa4994a7f" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00291">291</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="cc233206a14cef454dd0d9428848ebfc"></a><!-- doxytag: member="Ogre::Vector4::operator-=" ref="cc233206a14cef454dd0d9428848ebfc" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00301">301</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="df84c66492823f9c7a609133cf7ebfb1"></a><!-- doxytag: member="Ogre::Vector4::operator *=" ref="df84c66492823f9c7a609133cf7ebfb1" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator *=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00311">311</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="37efa8bb4db9148fb43c8238b21c1906"></a><!-- doxytag: member="Ogre::Vector4::operator+=" ref="37efa8bb4db9148fb43c8238b21c1906" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00320">320</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8a23c96373a8d8163ea5b7819f2b22f3"></a><!-- doxytag: member="Ogre::Vector4::operator-=" ref="8a23c96373a8d8163ea5b7819f2b22f3" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00329">329</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ed2924604df2a820a6208a85522c0eed"></a><!-- doxytag: member="Ogre::Vector4::operator *=" ref="ed2924604df2a820a6208a85522c0eed" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator *=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00338">338</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="0c4b23241a97373da79afc6c993e1370"></a><!-- doxytag: member="Ogre::Vector4::operator/=" ref="0c4b23241a97373da79afc6c993e1370" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator/=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00348">348</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4c4def28bfaf96a3326747d2ef2ed08f"></a><!-- doxytag: member="Ogre::Vector4::operator/=" ref="4c4def28bfaf96a3326747d2ef2ed08f" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator/=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00362">362</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="14ced50f2a18dd194c3d95d7d031c5dd"></a><!-- doxytag: member="Ogre::Vector4::dotProduct" ref="14ced50f2a18dd194c3d95d7d031c5dd" args="(const Vector4 &amp;vec) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector4::dotProduct           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculates the dot (scalar) product of this vector with another. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>vec</em>&nbsp;</td><td>Vector with which to calculate the dot product (together with this one). </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A float representing the dot product value. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00379">379</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00043">w</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">x</a>, <a class="el" href="OgreVector4_8h-source.html#l00043">y</a>, and <a class="el" href="OgreVector4_8h-source.html#l00043">z</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="691bcd13bad0bf3709ddb010cf57d822"></a><!-- doxytag: member="Ogre::Vector4::operator *" ref="691bcd13bad0bf3709ddb010cf57d822" args="(const Real fScalar, const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00236">236</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2dd10da814b39dc369ac4f96d0055a54"></a><!-- doxytag: member="Ogre::Vector4::operator/" ref="2dd10da814b39dc369ac4f96d0055a54" args="(const Real fScalar, const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator/           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00245">245</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="28efcff06858b5011bbc4250230539f0"></a><!-- doxytag: member="Ogre::Vector4::operator+" ref="28efcff06858b5011bbc4250230539f0" args="(const Vector4 &amp;lhs, const Real rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00254">254</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4ec63fee2f096c1e845076797d1e140a"></a><!-- doxytag: member="Ogre::Vector4::operator+" ref="4ec63fee2f096c1e845076797d1e140a" args="(const Real lhs, const Vector4 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00263">263</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3b9ce3e33b491148161ac0e4116e709a"></a><!-- doxytag: member="Ogre::Vector4::operator-" ref="3b9ce3e33b491148161ac0e4116e709a" args="(const Vector4 &amp;lhs, Real rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00272">272</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e2c5e61fcb0521bdea9c8d70069742f9"></a><!-- doxytag: member="Ogre::Vector4::operator-" ref="e2c5e61fcb0521bdea9c8d70069742f9" args="(const Real lhs, const Vector4 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00281">281</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f9291e487a6dd6abdc8cc6325751cc3"></a><!-- doxytag: member="Ogre::Vector4::operator&lt;&lt;" ref="7f9291e487a6dd6abdc8cc6325751cc3" args="(std::ostream &amp;o, const Vector4 &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>v</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Function for writing to a stream. 
<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00386">386</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="c1f14b711795b4d13140e992d9a3e6cf"></a><!-- doxytag: member="Ogre::Vector4::x" ref="c1f14b711795b4d13140e992d9a3e6cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#c1f14b711795b4d13140e992d9a3e6cf">Ogre::Vector4::x</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00043">43</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector4_8h-source.html#l00379">dotProduct()</a>, <a class="el" href="OgreVector4_8h-source.html#l00195">operator *()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00592">Ogre::operator *()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00201">Ogre::Matrix4::operator *()</a>, <a class="el" href="OgreVector4_8h-source.html#l00338">operator *=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00150">operator!=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00168">operator+()</a>, <a class="el" href="OgreVector4_8h-source.html#l00291">operator+=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00177">operator-()</a>, <a class="el" href="OgreVector4_8h-source.html#l00301">operator-=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00217">operator/()</a>, <a class="el" href="OgreVector4_8h-source.html#l00362">operator/=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00123">operator=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00142">operator==()</a>, and <a class="el" href="OgreMatrix4_8h-source.html#l00576">Ogre::Matrix4::transformAffine()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a55a790632b60df0f536efa68de3bfa"></a><!-- doxytag: member="Ogre::Vector4::y" ref="4a55a790632b60df0f536efa68de3bfa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#4a55a790632b60df0f536efa68de3bfa">Ogre::Vector4::y</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00043">43</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector4_8h-source.html#l00379">dotProduct()</a>, <a class="el" href="OgreVector4_8h-source.html#l00195">operator *()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00592">Ogre::operator *()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00201">Ogre::Matrix4::operator *()</a>, <a class="el" href="OgreVector4_8h-source.html#l00338">operator *=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00150">operator!=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00168">operator+()</a>, <a class="el" href="OgreVector4_8h-source.html#l00291">operator+=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00177">operator-()</a>, <a class="el" href="OgreVector4_8h-source.html#l00301">operator-=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00217">operator/()</a>, <a class="el" href="OgreVector4_8h-source.html#l00362">operator/=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00123">operator=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00142">operator==()</a>, and <a class="el" href="OgreMatrix4_8h-source.html#l00576">Ogre::Matrix4::transformAffine()</a>.</p>

</div>
</div><p>
<a class="anchor" name="389cf99ed365e8ec1d823c0a0cf52da3"></a><!-- doxytag: member="Ogre::Vector4::z" ref="389cf99ed365e8ec1d823c0a0cf52da3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#389cf99ed365e8ec1d823c0a0cf52da3">Ogre::Vector4::z</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00043">43</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector4_8h-source.html#l00379">dotProduct()</a>, <a class="el" href="OgreVector4_8h-source.html#l00195">operator *()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00592">Ogre::operator *()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00201">Ogre::Matrix4::operator *()</a>, <a class="el" href="OgreVector4_8h-source.html#l00338">operator *=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00150">operator!=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00168">operator+()</a>, <a class="el" href="OgreVector4_8h-source.html#l00291">operator+=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00177">operator-()</a>, <a class="el" href="OgreVector4_8h-source.html#l00301">operator-=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00217">operator/()</a>, <a class="el" href="OgreVector4_8h-source.html#l00362">operator/=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00123">operator=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00142">operator==()</a>, and <a class="el" href="OgreMatrix4_8h-source.html#l00576">Ogre::Matrix4::transformAffine()</a>.</p>

</div>
</div><p>
<a class="anchor" name="601896b4f2f5be1d7ccd0ee4a0500237"></a><!-- doxytag: member="Ogre::Vector4::w" ref="601896b4f2f5be1d7ccd0ee4a0500237" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#601896b4f2f5be1d7ccd0ee4a0500237">Ogre::Vector4::w</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00043">43</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector4_8h-source.html#l00379">dotProduct()</a>, <a class="el" href="OgreVector4_8h-source.html#l00195">operator *()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00592">Ogre::operator *()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00201">Ogre::Matrix4::operator *()</a>, <a class="el" href="OgreVector4_8h-source.html#l00338">operator *=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00150">operator!=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00168">operator+()</a>, <a class="el" href="OgreVector4_8h-source.html#l00291">operator+=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00177">operator-()</a>, <a class="el" href="OgreVector4_8h-source.html#l00301">operator-=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00217">operator/()</a>, <a class="el" href="OgreVector4_8h-source.html#l00362">operator/=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00123">operator=()</a>, <a class="el" href="OgreVector4_8h-source.html#l00142">operator==()</a>, and <a class="el" href="OgreMatrix4_8h-source.html#l00576">Ogre::Matrix4::transformAffine()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6094638aa9e67551258f70f113d805d9"></a><!-- doxytag: member="Ogre::Vector4::ZERO" ref="6094638aa9e67551258f70f113d805d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> <a class="el" href="classOgre_1_1Vector4.html#6094638aa9e67551258f70f113d805d9">Ogre::Vector4::ZERO</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector4_8h-source.html#l00392">392</a> of file <a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:07 2008
</p>
</body>
</html>
